Subject: Re: [PATCH 2/4] [ROSE] rose_get_route() template

From: Bernard Pidoux <[email-masked]>
Date: Sat, 12 Jan 2008 22:29:11 +0100

Eric Dumazet wrote:
> Bernard Pidoux a écrit :
>>  From 46bccce1e660a39bcc8f8cf87d4c17de33f4ba48 Mon Sep 17 00:00:00 2001
>> From: Bernard Pidoux <[email-masked]>
>> Date: Thu, 10 Jan 2008 23:01:46 +0100
>> Subject: [PATCH 2/4] [ROSE] template declaration for rose_get_route()
>>
>> Signed-off-by: Bernard Pidoux <[email-masked]>
>> ---
>>  include/net/rose.h |    1 +
>>  1 files changed, 1 insertions(+), 0 deletions(-)
>>
>> diff --git a/include/net/rose.h b/include/net/rose.h
>> index e5bb084..d3ab453 100644
>> --- a/include/net/rose.h
>> +++ b/include/net/rose.h
>> @@ -202,6 +202,7 @@ extern struct net_device *rose_dev_first(void);
>>  extern struct net_device *rose_dev_get(rose_address *);
>>  extern struct rose_route *rose_route_free_lci(unsigned int, struct 
>> rose_neigh *);
>>  extern struct rose_neigh *rose_get_neigh(rose_address *, unsigned 
>> char *, unsigned char *);
>> +extern struct rose_neigh *rose_get_route(rose_address *, unsigned 
>> char *, unsigned char *);
>>  extern int  rose_rt_ioctl(unsigned int, void __user *);
>>  extern void rose_link_failed(ax25_cb *, int);
>>  extern int  rose_route_frame(struct sk_buff *, ax25_cb *);
>> -- 
> 
> Strange... if rose_get_route() is used only in net/rose/rose_route.c, 
> why dont you define it static, and not extern in include/net/rose.h ?
> 
> 
> 

I agree. You are perfectly right.
There is no need to declare rose_get_route() external.
I stupidly copied rose_get_neigh()definition from which I derived 
rose_get_route();

Also I am not sure that setting cause and diagnostic is necessary, as 
they are not used by the calling function.

By the way. I made a typo in [PATCH 4/4].

Instead of "Initial connection to rose neighbour nodes was unusually,
t0 timer was blocked and application program could not
use socket."

One should read
"Initial connection to rose neighbour nodes was unusually,
long, t0 timer was blocked and application program could not
use socket."

Bernard P.